Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlevs.ede.api
Class EventRejectedException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--com.bea.wlevs.ede.api.EventRejectedException

public class EventRejectedException
extends java.lang.RuntimeException

Exception raised by an event sink to indicate a problem during processing of one or more event(s).

See Also:
  Serialized Form

Inner Class Summary
`static class` | `EventRejectedException.Reason` Enumeration representing the reason for rejecting the events:

Constructor Summary
`EventRejectedException(EventRejectedException.Reason reason, java.util.List rejected, java.lang.String desc)`

Method Summary
`EventRejectedException.Reason` | `getReason()`
`java.util.List` | `getRejectedEvents()` Retrieve the set of events rejected by the event sink.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EventRejectedException

    public EventRejectedException(EventRejectedException.Reason reason,
                                  java.util.List rejected,
                                  java.lang.String desc)

Method Detail

### getRejectedEvents

    public java.util.List getRejectedEvents()

  Retrieve the set of events rejected by the event sink.

  Returns:
    List of rejected events.

### getReason

    public EventRejectedException.Reason getReason()

  Returns:
    the reason the events were rejected.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 BEA Systems All Rights Reserved.